Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162244 - CAN-2005-2088 httpd proxy request smuggling
Summary: CAN-2005-2088 httpd proxy request smuggling
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: httpd
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard: public=20050612,impact=moderate
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-01 13:36 UTC by Josh Bressers
Modified: 2017-03-24 15:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-25 07:50:21 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:582 normal SHIPPED_LIVE Moderate: httpd security update 2005-07-25 04:00:00 UTC

Description Josh Bressers 2005-07-01 13:36:10 UTC
When using apache as a proxy, it is vulnerable to request smuggling.

(taken from bugtraq)
http://seclists.org/lists/bugtraq/2005/Jun/0025.html

> "We describe a new web entity attack technique � �HTTP Request
> Smuggling�. The attack technique and the derived attacks are relevant
> to most web environments and is the result of a HTTP server or
> device�s failure to properly handle malformed inbound HTTP requests.
> HTTP Request Smuggling works by taking advantage of the discrepancies
> in parsing when one or more HTTP devices/entities (e.g. Cache Server,
> Proxy Server, Web Application Firewall, etc.) are in the data flow
> between the user and the web server. HTTP Request Smuggling enables
> various attacks � web cache poisoning, session hijacking, cross-site
> scripting and most serious the ability to bypass web application
> firewall protection.

http://www.watchfire.com/resources/HTTP-Request-Smuggling.pdf

Comment 1 Josh Bressers 2005-07-01 13:37:08 UTC
This issue also affects RHEL3

Comment 5 Mark J. Cox 2005-07-25 07:50:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-582.html


Note You need to log in before you can comment on or make changes to this bug.